# $Revision: 1.10 $, $Date: 2005/10/30 22:40:48 $
%include	/usr/lib/rpm/macros.php
%define		_class		HTTP
%define		_subclass	WebDAV
%define		_status		beta
%define		_pearname	%{_class}_%{_subclass}_Client

Summary:	%{_pearname} - WebDAV stream wrapper class
Summary(pl):	%{_pearname} - wrapper dla strumienia WebDAV
Name:		php-pear-%{_pearname}
Version:	0.9.7
Release:	3
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	cbeaaaf935de86fc036d51fa29e437bc
URL:		http://pear.php.net/package/HTTP_WebDAV_Client/
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	php-common >= 3:4.3
Requires:	php-pear >= 4:1.0-9.2
Requires:	php-pear-HTTP_Request >= 1.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RFC2518 compliant stream wrapper that allows to use WebDAV server
resources like a regular file system from within PHP.

In PEAR status of this package is: %{_status}.

%description -l pl
Zgodny z RFC2518 wrapper dla strumieni umoliwiajcy obsug zasobw
serwera WebDAV tak jak gdyby to by zwyky plik.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/%{_subclass}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}/Client
%{php_pear_dir}/%{_class}/%{_subclass}/Tools/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTTP_WebDAV_Client.spec,v $
Revision 1.10  2005/10/30 22:40:48  glen
- conflicting HTTP/WebDAV/Tools resolved

Revision 1.9  2005/10/05 18:31:31  glen
- rel 2

Revision 1.8  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.7  2005/09/27 21:57:40  glen
- new pear packaging

Revision 1.6  2005/01/10 08:36:35  adamg
- updated to 0.9.7

Revision 1.5  2004/12/03 22:12:57  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.4  2004/05/30 13:13:49  adamg
- fixed english information about status of the package

Revision 1.3  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.2  2003/12/23 15:02:36  adamg
- updated to 0.9.6

Revision 1.1  2003/12/06 22:00:33  adamg
- initial import
